Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## php.java.bridge.http
Class SocketContextServer.Channel

    java.lang.Object
      php.java.bridge.http.IContextServer.Channel
          php.java.bridge.http.SocketContextServer.Channel

Enclosing class:
  SocketContextServer

    public static class SocketContextServer.Channel

extends IContextServer.Channel

Constructor Summary
`SocketContextServer.Channel(java.io.InputStream in, java.io.OutputStream out, java.net.Socket sock)`

Method Summary
`java.io.InputStream` | `getInputStream()` Returns the channel's input stream.
`java.io.OutputStream` | `getOuptutStream()` Returns the channel's output stream.
`java.net.Socket` | `getSocket()`
`void` | `shutdown()` Shut down the channel, closes the in- and output stream and other resources.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SocketContextServer.Channel

    public SocketContextServer.Channel(java.io.InputStream in,
                                       java.io.OutputStream out,
                                       java.net.Socket sock)

Method Detail

### getInputStream

    public java.io.InputStream getInputStream()

  Description copied from class: `IContextServer.Channel`
  Returns the channel's input stream.

  Returns:
    The InputStream

### getOuptutStream

    public java.io.OutputStream getOuptutStream()

  Description copied from class: `IContextServer.Channel`
  Returns the channel's output stream.

  Returns:
    The OutputStream.

### getSocket

    public java.net.Socket getSocket()

### shutdown

    public void shutdown()

  Description copied from class: `IContextServer.Channel`
  Shut down the channel, closes the in- and output stream and other resources.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD